Index: extensions/Autosize/js/Affiche_script.js
===================================================================
--- extensions/Autosize/js/Affiche_script.js	(revision 16682)
+++ extensions/Autosize/js/Affiche_script.js	(revision 16931)
@@ -2022,223 +1305,1054 @@
 
       zoom_cl = jQuery('#zoom ').val();
+
       jQuery('#bp_cla').attr('alt', src_info);
       jQuery('#bp_cla').attr('title', src_info);
       jQuery('#bp_cla').attr('Stitle', src_info);
       jQuery('#bp_cla').attr('Stip', zoom_cl + "%");
-
-      //jQuery('#bp_cla span').text(src_infos_1 +"    "+ zoom + "%");
       jQuery('#bp_cla span').text(zoom_cl + "%");
-      bp_scr = jQuery('#bp_img_cla');
-
-      if (bp_scr.length > 0) {
-        src_enc = bp_scr.attr("src");
-        if (!src_enc.match(src)) {
-          bp_scr.get(0).src = src;
-          jQuery('#bp_img_cla').attr('alt', src_info);
-          jQuery('#bp_img_cla').attr('title', src_info);
+      color_back = jQuery('#imageToolBar').css("backgroundColor");
+      if (color_back.match(new RegExp("rgb", "gi"))) {
+        color_back = color_back.split("(")[1].split(")")[0].split(",");
+        color_back = "rgb(" + Math.abs(255 - color_back[0]) + ","
+      + Math.abs(255 - color_back[1]) + ","
+      + Math.abs(255 - color_back[2]) + ")";
+
+      }
+      else if (color_back.match(new RegExp("#", "gi")))
+        color_back = Math.abs("#65536" - color_back);
+      else
+        color_back = jQuery('body').css("color");
+
+
+      jQuery('#bp_cla span').css("color", color_back);
+    }
+  } else {
+    src = src6;
+  }
+  if (Zone_image.image)
+    jQuery('#auto_details').text(" (" + Zone_image.image.width + " x " + Zone_image.image.height + ")");
+  bp_scr = jQuery('#bp_img_cla');
+
+  if (bp_scr.length > 0) {
+    src_enc = bp_scr.attr("src");
+    if (!src_enc.match(src)) {
+      bp_scr.get(0).src = src;
+      jQuery('#bp_img_cla').attr('alt', src_info);
+      jQuery('#bp_img_cla').attr('title', src_info);
+    }
+  }
+}
+//====================================
+// 
+//====================================
+Calcul_Image = function () {
+  // theImageAndInfos(jaune) -> theImage(vert) -> [llgbo] -> theMainImage
+  // + infos_imageInfos(red)
+  infos_window = jQuery(window).infos();
+  infos_body = jQuery("body").infos(); // thePicturePage
+  infos_the_page = jQuery("#the_page").infos();
+  // theHeader
+  // 
+  infos_menubar = jQuery("#menubar").infos();
+  infos_menubar_dl = jQuery("#menubar dl").infos();
+  infos_content = jQuery("#content").infos();
+  // imageHeaderBar
+  // imageToolBar imageInfoBar
+  infos_imageInfoBar = jQuery("#imageInfoBar").infos();
+  infos_imageToolBar = jQuery("#imageToolBar").infos();
+  //theImageAndTitle
+  infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
+  if (infos_theImageAndInfos.width == 0)
+    infos_theImageAndInfos = jQuery("#theImageAndTitle").infos();
+  infos_theImage = jQuery("#theImage").infos();
+  /****************************************
+  * marginl r 10 10,borderwidth 5 5, padding 10 10
+  * infos_theImage width 849 , (+padding) out 869,(+border) ext 879 ,(+marge) general 899
+  * general marges width 50 l25+r25,
+  ****************************************/
+
+  infos_imageInfos = jQuery("#imageInfos").infos();
+  infos_theMainImage = jQuery(theMainImage_Id).infos();         // Image
+  infos_theMainImage.src = jQuery(theMainImage_Id).attr("src");
+
+  // commentContent
+  // copyright 
+
+  pos_top = options.pos_top;
+  pos_top = options.pos_top + infos_llgbo.top
+
+  container = {
+    height: infos_window.height - pos_top,
+    width: infos_content.width
+  }
+  marge_left = infos_theImage.general.marges.left;
+  marge_right = infos_theImage.general.marges.right;
+  marge_top = infos_theImage.general.marges.top + infos_content.general.marges.top + 2;
+  marge_bottom = infos_theImage.general.marges.bottom + Math.ceil(options.marge_basse) + infos_content.general.marges.bottom; ;
+
+  //==========================================================
+  if (theme.match(RegExp("stripped", "gi"))) {
+    infos_the_page.margin.left = 20;  //taille fleche
+    infos_the_page.margin.right = 20;
+  }
+
+
+  if (theme.match(RegExp("elegant", "gi"))) {
+    jQuery("#imageInfos").css({ position: "absolute", right: 0, margin: "auto"
+      , top: 0
+    });
+
+
+    // marge_right += infos_content.general.marges.right;
+    if (infos_imageInfos.visible == true) {
+      marge_right += infos_imageInfos.width + 2;
+
+    } else {
+      marge_right += 15;
+
+    }
+    marge_left += 5;
+    marge_top += 20;
+
+  } else if (theme.match(RegExp("stripped", "gi"))) {
+
+  } else if (theme.match(RegExp("simple", "gi"))) {
+
+
+  } else if (theme.match(RegExp("OS", "gi"))) {
+
+  } else if (theme.match(RegExp("pur", "gi"))) {
+
+    marge_right += 25;
+
+  } else {
+    //   jQuery("#menuSwitcher").hide();
+
+    margeLeft = infos_content.margin.left;
+    if (infos_menubar_dl.visible == true) {
+      margeLeft += infos_body.general.marges.width + infos_menubar.general.width;
+    }
+    else
+
+      margeLeft += infos_thePicturePage.general.marges.width;
+    // container.width -= margeLeft;
+
+
+  }
+
+
+
+  //========== Format Image ==============  
+  retrait_img_h = Math.ceil(options.marges_llgbo || 0)
+      + infos_theMainImage.general.marges.height
+     ;
+  //===============================================================
+  retrait_img = Math.ceil(infos_theMainImage.general.marges.width);
+  retrait_img += Math.ceil(options.marges_llgbo || 0);
+  retrait_img += 0;
+
+  //================== Limite Format Image =====================
+  image_max = {
+    height: container.height - marge_top - marge_bottom - retrait_img_h,
+    width: container.width - marge_left - marge_right - retrait_img
+  }
+  //================================================================
+  if (typeof Zone_image.height_init == "undefined") {
+    init_img(theImg);
+    Zone_image.width_init = img_init.width;
+    Zone_image.height_init = img_init.height;
+    Zone_image.height_init = Math.ceil(img_init.height);
+    Zone_image.rapport_init = Math.ceil(img_init.width / Zone_image.height_init);
+    rapport = Zone_image.rapport_init;
+  }
+
+  theMainImage_str = theMainImage_Id.replace("#", "");
+  useMap_en_cours = jQuery(theMainImage_Id).attr("useMap");
+
+  var theImg = document.getElementById(theMainImage_str);
+  if (theImg) {
+    if (useMap_en_cours.match(RegExp("map", "gi"))) {
+      image_max.height = jQuery(theImg).height() - retrait_img_h;
+      image_max.width = jQuery(theImg).width() - retrait_img;
+      width_theMainImage = image_max.width;
+      height_theMainImage = image_max.height;
+    } else {
+      //=========================
+      // test débordement
+      //=========================
+      rapport = Zone_image.rapport_init;
+      width_theMainImage = Math.ceil(image_max.width);
+      height_theMainImage = Math.ceil(width_theMainImage / rapport);
+
+      container.height_interne = container.height - marge_top - marge_bottom;
+      container.width_interne = container.width - marge_left - marge_right;
+
+      if (height_theMainImage > container.height_interne) {
+        image_max.height = container.height_interne;
+        image_max.width = image_max.height * rapport;
+        width_theMainImage = Math.ceil(image_max.width);
+        height_theMainImage = Math.ceil(image_max.height);
+      }
+      if (width_theMainImage > container.width_interne) {
+        image_max.width = container.width_interne;
+        image_max.height = image_max.height / rapport;
+        width_theMainImage = Math.ceil(image_max.width);
+        height_theMainImage = Math.ceil(image_max.height);
+
+      } else if (width_theMainImage > container.width) {
+
+      } else {
+
+      }
+    }
+    //=============================================================== 
+  }
+  if (Type_Img != "pamoorama") {
+
+  }
+
+  //=================================================
+  rapport = Zone_image.rapport_init;
+
+  height_theMainImage = Math.ceil(width_theMainImage / rapport);
+  container.height = height_theMainImage + retrait_img_h + infos_theImage.general.marges.top + pos_top;
+
+  //================================================================
+  Zone_image.image = {
+    width: width_theMainImage,
+    height: height_theMainImage
+  };
+
+  Zone_image.container = {
+    width: container.width,
+    height: container.height
+
+  };
+  //=================================================================
+
+  Zone_image.src = jQuery(theMainImage_Id).attr("src");
+
+
+  Zone_image.zoom = Zone_image.image.height / Zone_image.height_init;
+
+}
+
+/*********************************************
+* Calcul l es dimensions.
+*********************************************/
+Get_dimensions = function (force, parametres) {
+  infos_theMainImage = jQuery(theMainImage_Id).infos();
+  Zone_image.src = infos_theMainImage.src;
+  if (typeof rapport == "undefined") return;
+  if (force && force == true) old_window.width = 0;
+
+
+  if (infos_theMainImage.useMap.match(RegExp("Autosize", "gi")))
+    infos_theMainImage.useMap = "#Autosize";
+
+  useMap = options.useMap;
+
+  if (theme.match("simple")) useMap = "#Autosize";
+  if (typeof useMap == "") useMap = "#Autosize";
+  if (options.useMap) {
+    //  useMap = options.useMap;
+  }
+  if (useMap) {
+    if (!useMap.match(RegExp("Autosize", "gi"))) {
+      return;
+    }
+  }
+
+  if (options.imageAutosize) {
+    return; //stripped
+  }
+
+  if (typeof options.cl_visible == "undefined") return;
+  if (!options.cl_visible == true) { return; }
+  //======================================================
+
+  var chk = eval("options." + user_status + "_enabled");
+  if (chk == "") { return; }
+
+  if (!options.useMap.match(RegExp("Autosize", "gi"))) {
+
+    return;
+  }
+
+  //================================================================= 
+  infos_widow = jQuery(window).infos();
+  var winwidth = infos_body.width;
+  var winheight = infos_body.height;
+  if (Type_Img == "pamoorama") {
+    theMainImage_Id = "#pamoorama";
+    Calcul_Image();
+  } else {
+    Calcul_Image();
+  }
+  img_finale = { width: Zone_image.image.width, height: Zone_image.image.height };
+  //=================================================================
+  old_window = jQuery(window).infos();
+  //========= Récupération des informations =============  
+  var Licence = jQuery(".licencetag");
+  infos_Licence = jQuery(".licencetag").infos();
+  //=================================================================
+  switch (Type_Img) {
+    case "map":
+      Set_Map(true);
+      break
+    case "panorama":
+      if (!theMainImage_Id) {
+        theMainImage_Id = "#theMainImage";
+        if (theMainImage_Id.length > 0)
+          return;
+        theMainImage_Id = jQuery().Get_Img_Maxi("#Panorama img[alt]");
+
+        if (theMainImage_Id.length > 0)
+          theMainImage_Id = theMainImage_Id[0];
+        else
+          theMainImage_Id = jQuery().Get_Img_Maxi("#Panorama img[alt]");
+      }
+      infos_theImage = jQuery(theMainImage_Id).infos();
+      infos_the_page = jQuery("#the_page").infos();
+      jQuery("#theImage").height(infos_theImage.height);
+      img_finale.height = infos_theImage.height;
+      break
+    case "img":
+
+      if (!theMainImage_Id) return;
+      if (theme.match(RegExp("luciano", "g"))) {
+
+      }
+
+      infos_the_page = jQuery("#the_page").infos();
+
+
+      break
+    case "img_autre":
+      if (!theMainImage_Id) {
+        if (DEBUG_autosize == "true") alert("The_MainImage=null");
+        return;
+
+      }
+      infos_theImage = jQuery(theMainImage_Id).infos();
+      infos_the_page = jQuery("#the_page").infos();
+
+
+      break
+    case "embed":
+      //
+      if (infos_theMainImage.width == 0)
+        infos_theMainImage = jQuery("#thePicturePage").infos();
+      if (infos_theMainImage.width == 0)
+        infos_theMainImage = jQuery("#the_page").infos();
+      infos_theImage = infos_theMainImage;
+      infos_the_page = jQuery("#the_page").infos();
+      Bandeau_bas.height = Bandeau_bas.top;
+
+      iph1 = jQuery("#theImage div").infos();
+      if ((winheight - iph1.bottom) > 0)
+        Bandeau_bas.height = (winheight - iph1.bottom) + 50;
+      else
+        Bandeau_bas.height = 50;
+
+
+      if (rapport < 0) {
+        img_height = infos_theMainImage.height;
+        img_width = infos_theMainImage.width;
+        img_reelle.height = img_height;
+        img_reelle.width = img_width;
+      }
+
+      break
+    case "charlie":
+      img_reelle = { height: img_height, width: img_width };
+      infos_theMainImage = jQuery(theMainImage_Id).infos(); ;
+      infos_the_page = jQuery("#the_page").infos();
+      if (rapport < 0) {
+        img_height = parseInt(infos_theMainImage.height);
+        img_width = parseInt(infos_theMainImage.width);
+        img_reelle.height = parseInt(infos_theMainImage.height);
+        img_reelle.width = parseInt(infos_theMainImage.width);
+      }
+      break
+
+
+    case "pamoorama":
+      img_reelle = { height: img_height, width: img_width };
+      //=========================================================
+      img_reelle.height = img_height;
+      img_reelle.width = Zone_Affichage.width;
+      if (typeof myPamoorama != "undefined") theMainImage_Id = myPamoorama.image;
+      infos_theImage = jQuery("#pamoorama").infos();
+      infos_theImage.height = infos_theImage.height;
+      infos_the_page = jQuery("#the_page").infos();
+      break
+  }
+
+  img_finale = { width: Zone_image.image.width, height: Zone_image.image.height };
+  return true;
+
+  //================= Vérification Taille image minimun autorisée ========
+  MinWidth = jQuery(theMainImage_Id).css("minWidth");
+  if (MinWidth == "0px")
+    MinWidth = options.mini_width;
+  MinHeight = jQuery(theMainImage_Id).css("minHeight");
+  if (MinHeight == "0px")
+    MinHeight = options.mini_height;
+
+  MaxWidth = jQuery(theMainImage_Id).css("maxWidth");
+  if (MaxWidth == "0px")
+    MaxWidth = winwidth;
+  MaxHeight = jQuery(theMainImage_Id).css("maxHeight");
+  if (MaxHeight == "0px")
+    MaxHeight = winheight;
+
+  //=============== Vérification taille minimale  autorizée ======================
+  var miniWidth = jQuery(theMainImage_Id).Get_Val_int(MinWidth, options.mini_width);
+  var miniHeight = jQuery(theMainImage_Id).Get_Val_int(MinHeight, options.mini_height);
+  if (winwidth < options.mini_width2) mini_width2 = winwidth;
+
+  var miniWidth2 = jQuery(theMainImage_Id).Get_Val_int(MinWidth, options.mini_width2);
+  var miniHeight2 = jQuery(theMainImage_Id).Get_Val_int(MinHeight, options.mini_height2);
+
+
+  var maxWidth = jQuery(theMainImage_Id).Get_Val_int(MaxWidth, winwidth, "0");
+  maxHeight = jQuery(theMainImage_Id).Get_Val_int(MaxHeight, winheight, "0");
+
+  mini_width = parseInt(miniWidth);
+  mini_height = parseInt(miniHeight);
+  img_reelle.width = parseInt(img_reelle.width);
+  if (img_reelle.width < mini_width)
+    return;
+  img_reelle.height = parseInt(img_reelle.height);
+  if (img_reelle.height < parseInt(mini_height))
+    return;
+
+
+
+
+  //=================================================
+  if (Zone_image.image.height < options.mini_height2)
+    Zone_image.image.height = options.mini_height2;
+  if (Zone_image.image.width < options.mini_width2)
+    Zone_image.image.width = options.mini_width2;
+  //==================================================
+  //   Image_width largeur à atteindre
+  //   Calcul du rapport d'agrandissement
+  echelle_max = parseFloat(options.echelle_max, '3');
+  if (Zone_image.zoom > echelle_max) {
+    Zone_image.zoom = echelle_max;
+    Zone_image.image.width = parseInt(Zone_image.width_init * Zone_image.zoom);
+    if (rapport > 0)
+      Zone_image.image.height = parseInt(Zone_image.width_init / rapport);
+  }
+  //=============================================================
+  var height_user = eval("options." + user_status + "_height");
+  var width_user = eval("options." + user_status + "_width");
+  var reg1 = new RegExp("%", "g");
+  //=============================================================     
+  if (height_user.match(reg1))
+    Image_height = Zone_image.height_init * parseInt(height_user) / 100;
+  else
+    Image_height = parseInt(height_user);
+  //==============================================================
+
+  Image_width = parseInt(Image_height * rapport);
+
+  //======================================================================
+  img_finale = { width: Zone_image.image.width, height: Zone_image.image.height };
+  return true;
+
+
+
+
+
+
+
+  //===================================================
+
+  img_finale.height = Image_height;
+  img_finale.width = Image_width;
+  if (theme.match(RegExp("stripped", "gi"))) {
+    img_finale.width -= (llgboframe.top * 2);
+    if (rapport > 0) img_finale.height = (img_finale.width / rapport);
+    else img_finale.height -= (llgboframe.top * 2);
+
+  }
+  zoom = echelle;
+  if (typeof (llgboframe) != "undefined" && llgboframe.height > 0) {
+    //=============LLGBO2 ===========================
+    t1 = llgboframe;
+    if (!theMainImage_Id.src) {
+      theMainImage_Id = jQuery(llgbo_id).find("img").get(0)
+      if (!theMainImage_Id.src) {
+        theMainImage_Id = jQuery("#theImage").find("div").get(0)
+      }
+    }
+    if (theMainImage_Id.src) {
+      wingbo = img_finale.width;
+      heightgbo = img_finale.height;
+      if (Type_Img == "panorama") {
+        heightgbo = infos_theImage.height;
+        img_finale.height = infos_theImage.height;
+      }
+
+
+
+
+      //    jQuery("#theImage").height(heightgbo + marges_llgbo / 2);
+    }
+  }
+
+  //================ Zone affichage =========================
+
+  //  jQuery("#theImage").css("top", "0px");
+  jQuery("#standard").css("top", 0 + "px");
+  jQuery("#comments").css("top", 0 + "px");
+  //========== Image Remise à l'échelle =======================
+
+  img_finale.height = parseInt(img_finale.height);
+  img_finale.width = parseInt(img_finale.width);
+  //=========================================================================
+  //=== cadre = theImage
+  if (theme.match(RegExp("simple", "gi"))) {
+    jQuery("#theImage").width(Zone_Affichage.width); //centrer simple black
+    jQuery("#theImage").css({ width: Zone_Affichage.width + "px",
+      marginLeft: "auto"
+    });
+
+  } else if (theme.match(RegExp("sobre", "gi")) || theme.match(RegExp("hr_", "gi")) || theme.match(RegExp("Mont", "gi"))) {
+    jQuery("#theImage").css({ width: "auto", marginLeft: "auto" });
+  } else if (theme.match(RegExp("saruka", "gi"))) {
+
+    jQuery("#theImage").css({ width: Zone_Affichage.width + "px" });
+  } else if (theme.match(RegExp("elegant", "gi"))) {
+
+    // jQuery("#theImage").css("width", "auto");
+    jQuery("#theImage").css({ height: Zone_Affichage.height + "px", width: "auto" }); //conteneur
+
+  } else {
+    jQuery("#theImage").css("width", "auto");
+
+  }
+  // ;
+
+  if (Type_Img == "panorama" || Type_Img == "pamoorama") {
+    img_finale.height = infos_theImage.height;
+    Zone_Affichage.height = img_finale.height;
+
+  }
+
+  if (typeof (gmaps) != "undefined") {
+    Gmap_ = gmaps.maps[0];
+    if (Gmap_.sizeMode == 'A') {
+      jQuery("#iGMapsIcon").css({ width: old_window.width * 0.8 + "px", height: old_window.height * 0.8 + "px" });
+
+    }
+  }
+  //============= flv,mov,mpg  ok
+  /* wmv nok
+  * avi nok
+  //===========================================
+  */
+  if (Type_Img == "charlie") {
+    t1 = jQuery("#charlie").infos();
+
+    /**/
+
+    pdf = 0;
+    jQuery("#charlie div").each(function (i) {
+
+
+      p1 = jQuery(this).infos();
+      pdf += p1.padding.right + p1.padding.left;
+    });
+    img_finale.width -= pdf;
+
+    jQuery("#charlie").css({
+      width: img_finale.width + pdf + "px",
+      height: img_finale.height + "px",
+      marginLeft: "auto"
+    });
+
+
+    if (MainImage.length > 0) {
+      img_finale.height = parseInt(img_finale.width / rapport);
+      img_finale.height -= 30;
+      img_finale.width = rapport * img_finale.height;
+
+
+      MainImage.width(img_finale.width);
+      MainImage.height(img_finale.height);
+      jQuery("#embedplayer").width(300);
+      jQuery("#embedplayer").height(15);
+    } else {
+      jQuery("#player").css("width", img_finale.width + "px");
+      jQuery("#player").css("height", img_finale.height + "px");
+
+      jQuery("#embedplayer").css("width", img_finale.width + "px");
+      jQuery("#embedplayer").css("height", img_finale.height + "px");
+
+      jQuery("embed").css({ width: img_finale.width + "px",
+        height: img_finale.height + "px"
+      });
+      jQuery("object").css({ width: img_finale.width + "px",
+        height: img_finale.height + "px"
+      });
+      jQuery("video").css({ width: img_finale.width + "px",
+        height: img_finale.height + "px"
+      });
+
+
+
+      jQuery("video").height(img_finale.height);
+      jQuery("video").width(img_finale.width);
+
+      jQuery("object").width(img_finale.width);
+      jQuery("object").height(img_finale.height);
+      //jQuery("#theImage").height(img_finale.height + Bandeau_bas.height); //??             
+
+      jQuery(theMainImage_Id).height(img_finale.height);
+      jQuery("#theImage").css("height", "auto");
+    }
+
+
+  } else if (Type_Img == "embed") {
+
+    if (MainImage.length > 0) {
+      img_finale.height = parseInt(img_finale.width / rapport);
+      img_finale.height -= 30;
+      img_finale.width = rapport * img_finale.height;
+
+
+      MainImage.width(img_finale.width);
+      MainImage.height(img_finale.height);
+      jQuery("#embedplayer").width(300);
+      jQuery("#embedplayer").height(15);
+    } else {
+      jQuery("#theImage").css("height", "auto");
+      jQuery("embed").css("height", img_finale.height);
+      jQuery("object").css({ height: img_finale.height + "px" });
+
+      jQuery("object").width(img_finale.width);
+      jQuery("object").height(img_finale.height);
+    }
+
+  } else if (Type_Img == "panorama") {
+    if (typeof asp_options != "undefined")
+      n = asp_options;
+    n1 = jQuery("#Panorama div").width();
+    jQuery(".panorama-viewport").css("margin", "auto");
+    n = infos_imageToolBar;
+
+
+  } else if (Type_Img == "pamoorama") {
+    Set_Pamoorama();
+
+
+
+
+  } else if (theMainImage_Id != null && theMainImage_Id.src) {
+    //--- background ?? ---
+    jQuery(theMainImage_Id).height(img_finale.height);
+    jQuery(theMainImage_Id).width(img_finale.width);
+    jQuery(theMainImage_Id).css({ height: img_finale.height + "px ",
+      width: img_finale.width + "px "
+    });
+
+
+  } else {
+    //===map ? luciano ===
+    //   jQuery(theMainImage_Id).css({ height: img_finale.height + "px ",  width: img_finale.width + "px });
+    //   jQuery(theMainImage_Id).height(img_finale.height );
+    //   jQuery(theMainImage_Id).width(img_finale.width );
+    //   jQuery(theMainImage_Id).attr({ width: img_finale.width  });
+    h = img_finale.height;
+    h = Zone_Affichage.height - Zone_Affichage.borderwidth.top - Zone_Affichage.borderwidth.bottom;
+    h -= (infos_theImage.borderwidth.bottom + infos_theImage.borderwidth.top);
+
+    jQuery(theMainImage_Id).attr({ height: h - 3 }); //image
+    if (theme.match(RegExp("elegant", "gi"))) {
+      return true;
+
+    }
+    if (theme.match(RegExp("luciano", "g"))) {
+      imgl = 180;
+      l = Zone_Affichage.left;
+
+      jQuery(".imageNumber").css({ left: l + "px"
+
+      });
+      jQuery("#theImage" + " #theImg IMG").css({ height: img_finale.height + "px ",
+        width: (img_finale.width - imgl) + "px ", marginTop: "0px"
+      })
+    }
+
+  }
+
+  var theImg = document.getElementById(theMainImage_Id.replace("#", ""));
+  if (theImg) {
+    theImg.removeAttribute("width");
+    theImg.removeAttribute("height");
+    jQuery(theMainImage_Id).css("width", img_finale.width + "px");
+  }
+
+  jQuery("#navThumbPrev").css({ overflow: "hidden" });
+  jQuery("#navThumbNext").css({ overflow: "hidden" });
+  n = typeof inittoolbar;
+  if (Type_Img == "map") {
+    jQuery("#navThumbNext").css({ display: 'none' });
+    jQuery("#navThumbPrev").css({ display: 'none' });
+    jQuery("#theImage").css({ marginTop: infos_imageToolBar.height + "px", marginLeft: "0px",
+      width: winwidth + "px",
+      height: winheight + "px"
+    });
+    //mapPicture 
+  }
+  try {
+    if (theme.match(RegExp("gally", "gi"))) {
+      if (typeof inittoolbar == "function") {
+        if (typeof (currentTab) == "undefined") inittoolbar();
+        else initializeImageMode("resize");
+      } else {
+        tp = gallyPP.getImageProp();
+        if (typeof (GallyPP) == "function")
+          gallyPP = new GallyPP();
+
+        iph = jQuery("#imageHeaderBar").infos();
+        jQuery("#imageToolBar").css({ top: iph.bottom + "px", position: "absolute" });
+        jQuery("#theImage").width(winwidth);
+      }
+      //===========================================================================
+      if (jQuery("#navThumbPrev").length > 0) {
+        jQuery("#navThumbPrevContainer").css({ left: "0px"
+        });
+      }
+      if (jQuery("#navThumbNext").length > 0) {
+        jQuery("#navThumbNextContainer").css({ left: "0px"
+        });
+      }
+      //=============================================================================
+      if (!theme.match(RegExp("lapis", "gi"))) {
+        if (typeof initializeImageMode == "function") {
+          initializeImageMode("resize");
         }
-      }
-    }
-    //====================================
-    // 
-    //====================================
-    Calcul_Image = function (all_width) {
-      // theImageAndInfos(jaune) -> theImage(vert) -> [llgbo] -> theMainImage
-      // + infos_imageInfos(red)
-      infos_body = jQuery("body").infos(); // thePicturePage
-      infos_the_page = jQuery("#the_page").infos();
-      // theHeader
-      // 
-      infos_menubar = jQuery("#menubar").infos();
-      infos_content = jQuery("#content").infos();
-      // imageHeaderBar
-      // imageToolBar imageInfoBar
+
+      }
+
+    } else if (theme.match(RegExp("simple", "g"))) {
+
+      jQuery("#imageToolBar").css({ position: "static" });
+
       infos_imageInfoBar = jQuery("#imageInfoBar").infos();
-      infos_imageToolBar = jQuery("#imageToolBar").infos();
-      //theImageAndTitle
-      infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
-      if (infos_theImageAndInfos.width == 0)
-        infos_theImageAndInfos = jQuery("#theImageAndTitle").infos();
-      infos_theImage = jQuery("#theImage").infos();
-      infos_imageInfos = jQuery("#imageInfos").infos();
-      infos_theMainImage = jQuery(theMainImage_obj).infos();         // Image
-      infos_theMainImage.src = jQuery(theMainImage_obj).attr("src");
-      //  infos_llgbo = jQuery("#llgbo").infos();
-      // commentContent
-      // copyright
-      pos_bottom = infos_content.bottom - infos_content.margin.bottom;
-      pos_left = infos_theImage.left;
-      x = infos_body.left;
-      imageInfos_width = jQuery("#imageInfos").css("width");
-
-      if (theme.match(RegExp("stripped", "gi"))) {
-        infos_the_page.margin.left = 20;  //taille fleche
-        infos_the_page.margin.right = 20;
-      }
-
-      retrait_w = Math.ceil(infos_theImage.general.marges.width
-
-                                );
-
-
-      retrait_w += Math.ceil(infos_the_page.general.marges.width
-
-                                );
-
-      retrait_w += Math.ceil(infos_body.general.marges.width);
-
-      retrait_w += Math.ceil(infos_content.general.marges.width);
-
-
-      pos_top = Math.ceil(infos_theImageAndInfos.top
-                     + infos_theImageAndInfos.general.marges.height
-);
-
-      retrait_h = Math.ceil(pos_top
-                         + infos_theImage.margin.top
-                                + infos_theImage.general.marges.height
-                                );
-
-
-
-      jQuery(theMainImage_obj).css({ margin: "auto"
-      });
-
-      retrait_img = Math.ceil(
-                      infos_theMainImage.general.marges.width
-                    );
-      retrait_img += Math.ceil(
-                       infos_llgbo.borderwidth.left
-                     + infos_llgbo.borderwidth.right
-                     );
-
-      retrait_img += Math.ceil(
-                                  infos_the_page.general.marges.width
-                                );
-
-
-
-      //  menuSwitcherwidth+padding
-
-
-      if (theme.match(RegExp("elegant", "gi"))) {
-        if (all_width != true) {
-          marge_right = infos_imageInfos.general.width;
-        } else {
-          marge_right = 0;
-        }
-
-        wx1 = infos_theImage.general.width;
-        width_theImage = (infos_body.width - marge_right - 1)
-
-
-      } else if (theme.match(RegExp("stripped", "gi"))) {
-        width_theImage = (jQuery(window).width());
-      } else if (theme.match(RegExp("simple", "gi"))) {
-        width_theImage = infos_imageInfoBar.left + infos_theImage.left - infos_imageInfoBar.margin.left - 5;
-
-
-      } else {
-        width_theImage = (infos_body.width);
-        marginLeft = infos_menubar.margin.left + 1;
-        marginLeft = infos_content.margin.left;
-        infos_menubar_dl = jQuery("#menubar dl").infos();
-        marginLeft = infos_menubar_dl.margin.left
-                    + infos_menubar_dl.left
-                    + infos_menubar_dl.width;
-        if (infos_menubar_dl.visible == "false")
-         if (!theme.match(RegExp("sylvia", "gi")))
-            marginLeft = 0;
-        jQuery("#content").css({ marginLeft: marginLeft+"px" });
-      }
-
-
-      b = 0;
-
-
-      if (infos_llgbo.top > 0) {
-        if ((infos_llgbo.top - retrait_h) > 0) {
-          b = infos_llgbo.top - retrait_h;
-        } else {
-          b = infos_llgbo.top;
-        }
-      }
-      retrait_h += (b * 2) - 5;
-      retrait_img += 5;
-
-
-      height_theImage = jQuery(window).height() - retrait_h;
-      width_theImage -= retrait_w;
-      //===============================================================
-      width_theMainImage = (width_theImage - retrait_img);
-      height_theMainImage = parseInt(width_theImage / rapport);
-
-      //===============================================================
-      // test débordement
-      if ((height_theMainImage) > height_theImage - (retrait_img + (b * 2))) {
-        height_theMainImage = height_theImage - (retrait_img);
-        width_theMainImage = parseInt(height_theMainImage * rapport);
-      } else {
-        width_theMainImage = width_theImage - (retrait_img);
-        height_theMainImage = parseInt(width_theMainImage / rapport);
-      }
-      //==================================================================
-      var theImg = document.getElementById("theMainImage");
-      if (theImg) {
-
-
-        if (theImg.useMap.match(RegExp("map", "gi"))) {
-          height_theMainImage = jQuery(theImg).height() - (retrait_img);
-          width_theMainImage = jQuery(theImg).width() - retrait_img;
-        }
-      }
-      width_theMainImage = parseInt(height_theMainImage * rapport);
-      height_theMainImage = parseInt(width_theMainImage / rapport);
-
-      height_theImage += (b * 2);
-      if (height_theImage > height_theMainImage + retrait_h) {
-        if (Type_Img != "pamoorama") {
-        height_theImage = height_theMainImage + retrait_h;
-      }
-      }
-      height_theMainImage = width_theMainImage / rapport;
-
-      Zone_image = {
-        image: { width: width_theMainImage,
-          height: height_theMainImage
-        },
-        container: {
-          width: width_theImage,
-          height: height_theImage
-        }
-      };
-      Zone_image.top = retrait_h;
-      Zone_image.marge = { width: retrait_w, height: retrait_h };
-
-      Zone_image.src = jQuery(theMainImage_obj).attr("src");
-
-
-      Zone_image.width_init = img_init.width;
-      Zone_image.height_init = img_init.height;
-
-      if (!Zone_image.height_init) {
-        Zone_image.height_init = parseInt(img_init.height);
-        Zone_image.rapport_init = parseInt(img_init.width) / Zone_image.height_init;
-      }
-
-      Zone_image.rapport_init = Zone_image.width_init / Zone_image.height_init;
-      Zone_image.zoom = Zone_image.image.height / Zone_image.height_init;
-
-      return Zone_image;
-    }
-
-
-
-    Autosize_resize(true);
-
-
-  });  // ready
-})(jQuery);
-
+      if (infos_imageInfoBar.bottom < infos_theMainImage.bottom) {
+        //   jQuery("#imageInfoBar").height(infos_theMainImage.bottom);
+      }
+
+    } else {
+
+      //    jQuery("#imageToolBar").css("position", "static");
+    }
+  } catch (e) {
+
+  }
+  zoom = img_finale.height / img_height;
+  h0 = jQuery("#content").height();
+  if (h0 == null) {
+    h0 = winheight - Zone_Affichage.top;
+  }
+  h1 = (h0 - img_finale.height) / 2;
+  //  jQuery("#theImage").css({ marginTop: h1 + "px" });
+
+  zoom = parseInt(zoom * 100);
+  jQuery('#zoom ').val(zoom);
+
+
+
+  //  --- réglage de la hauteur de page en fonction du copyright-----------
+  if (typeof (pos_copyright) == "undefined") pos_copyright = jQuery("#copyright").infos();
+
+  if (theme.match(RegExp("stripped", "gi"))) {
+    var TitleBox = jQuery("#imageTitleContainer");
+    if (TitleBox.length != 0) TitleBox.css("width", img_finale.width + "px");
+  } else {
+
+  }
+
+
+  /*
+  if (!theme.match(RegExp("luciano", "gi"))) {
+  jQuery("#linkNext").css({ height: "80px", width: "200px", overflow: "hidden" });
+  jQuery("#linkPrev").css({ height: "80px", width: "200px", overflow: "hidden" });
+  jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
+  }
+  */
+  infos_frame = jQuery("#theImage").infos();
+  if (theme.match(RegExp("stripped", "gi"))) {
+    /*
+    infos_theImageBox = jQuery("#theImageAndTitle").infos();
+    p1 = jQuery(".randomButtons").infos();
+    p2 = jQuery("#imageHeaderBar").infos();
+    p3 = infos_content.top;
+    p1 = options.imageAutosizeTitle;
+
+    jQuery("#theImage").width("width", infos_theImageBox.width + "px");
+    //jQuery("#theImageAndTitle").css("position", "relative");
+    jQuery("#content").css({ position: "relative", top: "10px", marginTop: "0px",
+    paddingTop: "0px", textAalign: "center", marginLeft: "auto"
+    });
+
+    jQuery("#theImageAndTitle").css({ position: "relative", top: "0px", marginTop: "0px",
+    paddingTop: "0px", marginLeft: "auto"
+    }); */
+    t1 = infos_theImageBox.top;
+    l1 = infos_theImageBox.left;
+    // infos_theImageBox = jQuery("#theImage").infos();
+
+  } else {
+
+    t1 = infos_frame.top;
+    l1 = infos_frame.left;
+    infos_theImageBox = jQuery("#theImage").infos(); //theImage
+  }
+  infos_theImageBox.margin.margin = infos_frame.margin.margin;
+  infos_theImageBox.top = t1;
+  infos_theImageBox.left = l1;
+  //  infos_theImageBox.position = "absolute";
+
+  Window_Affichage = infos_theImageBox;
+  if (DEBUG_autosize == "_true") {
+    //   jQuery("#theImage").css("border", "solid green");
+
+    jQuery("#Debug5").css({ background: "red",
+      position: "absolute",
+      border: "green solid 2px",
+      textAlign: align_auto,
+      margin: "auto",
+      top: Window_Affichage.top + "px",
+      left: Window_Affichage.left + "px",
+      width: Window_Affichage.width + "px",
+      height: Window_Affichage.height + "px"
+    }); //red
+    jQuery("#Debug4").css({ top: infos_frame.bottom - infos_description.height + "px" }); //green
+  }
+
+  //Wait_Affichage();
+
+  return true;
+} // Get_dimensions
+
+
+//=========================================================
+theMainImage_Id = "#theMainImage";
+if (typeof (options) == "undefined") {
+  options = { imageAutosize: false }
+}
+options = jQuery.extend(Autosize_options, options);
+var defaults = {
+  useMap: '#Autosize',
+  imageAutosizeMargin: 0,
+  imageAutosize: false,
+  marge_basse: options.imageAutosizeMargin || 0,
+  DEBUG_autosize: false
+};
+
+options = jQuery.extend(defaults, options);
+jQuery("#form_autosize_picture").addClass("Autosize_margin");
+//===== marges suplémentaires en fonction theme ===
+options.marge_haute = jQuery(".Autosize_margin").Get_Val_int(jQuery(".Autosize_margin").css("top"));
+options.marge_basse = jQuery(".Autosize_margin").Get_Val_int(jQuery(".Autosize_margin").css("bottom"));
+options.marge_gauche = jQuery(".Autosize_margin").Get_Val_int(jQuery(".Autosize_margin").css("left"));
+options.marge_droite = jQuery(".Autosize_margin").Get_Val_int(jQuery(".Autosize_margin").css("right"));
+
+
+DEBUG_autosize = options.DEBUG_autosize;
+cookies = Get_cookies();
+
+//============= Gestion Maps ================
+nom_map = "Autosize";
+a_up = jQuery("map[name='" + nom_map + "'] area[rel=up]");
+a_prev = jQuery("map[name='" + nom_map + "'] area[rel=prev]");
+a_next = jQuery("map[name='" + nom_map + "'] area[rel=next]");
+
+new_html = '<map name="Autosize" >';
+
+var theme = options.theme;
+nb_zone = jQuery("div .navigationButtons a").length;
+var infos_theMainImage = jQuery(theMainImage_Id).infos();          // Image 
+var Largeur_zone = (infos_theMainImage.width / nb_zone);
+var Hauteur_zone = (infos_theMainImage.height);
+var init_zone = 0;
+j = 0;
+jQuery("div .navigationButtons a").each(function (e) {
+  Hauteur_zone = (infos_theMainImage.height);
+  title = jQuery(this).attr("title");
+  h_ref = jQuery(this).attr("href");
+  init_zone = Largeur_zone * j;
+  if (title.match(":")) {
+    if (j == 0)
+      rel = "prev";
+    else
+      rel = "next";
+  } else {
+    rel = "up";
+    Hauteur_zone = Hauteur_zone / 4;
+  }
+  coord = init_zone + "," + 0 + "," + Math.ceil(init_zone + Largeur_zone) + "," + Hauteur_zone;
+  new_html += '<area rel="' + rel + '" title="' + title + '" href="' + h_ref + '" shape="rect" coords="' + coord + '" alt="' + title + '" />';
+
+  j++;
+});
+new_html += '</map>';
+jQuery("#theImage map:last").after(new_html);
+
+//=================== Gestion liste photos size ============================
+us = 0;
+var user_status = options.user_status;
+var type_size = eval("options." + user_status + "_type"); //limite taille
+var type_size_maxi = eval("options." + user_status + "_type"); //limite taille
+
+n = 0;
+
+var pt = new Array();
+jQuery("#derivativeSwitchBox .switchCheck").css('visibility', 'hidden');
+jQuery("#derivativeSwitchBox a").css('visibility', 'hidden');
+
+jQuery("#derivativeSwitchBox a").each(function (i) {
+  href_path = jQuery(this).attr("href");
+  pt[i] = href_path.split("'");
+  tsz = pt[i][5];
+  jQuery(this).css('visibility', 'visible');
+  //--- recherche limite ---
+  if (tsz.match(RegExp(type_size_maxi, "gi"))) {
+    return false;
+  }
+  //--- type en cours ---
+  if (tsz.match(RegExp("^" + options.type_size, "gi"))) {
+    us = n;
+  }
+
+  n++;
+});
+
+jQuery("derivativeChecked" + options.type_size).css('visibility', 'visible');
+
+
+
+//===================
+// VARIABLES  
+//===================
+var theMainImage_Id = "#theMainImage";
+type_src = "div";
+old_window = { width: 0, height: 0 };
+List_autosize = new Array();
+nu_img = 0;
+tempo = 0;
+//====================================================
+var infos_thePicturePage = jQuery("#thePicturePage").infos();
+var infos_theImageAndInfos;
+
+var theImageAndInfos_id = "#theImageAndInfos";
+if (options.theme.match(RegExp("simple", "gi"))) {
+  theImageAndInfos_id = "#content";
+
+  jQuery(theMainImage_Id).attr("position", "static");
+
+
+} else {
+  infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre general
+  if (infos_theImageAndInfos.visible == true)
+    theImageAndInfos_id = "#theImageAndInfos";
+  else
+    theImageAndInfos_id = "#imageContainer";
+}
+
+infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre general
+
+var infos_theImage = jQuery("#theImage").infos();                  // Container
+infos_theMainImage = jQuery(theMainImage_Id).infos();          // Image 
+
+if (infos_theMainImage.width == 0) {
+  infos_theMainImage = jQuery("#theImage img").infos();
+  if (infos_theMainImage.id == "")
+    jQuery("#theImage img").attr("id", "theMainImage");
+  infos_theMainImage = jQuery(theMainImage_Id).infos();
+}
+
+var infos_imageInfos = jQuery("#imageInfos").infos();              // Informations
+
+
+var infos_the_page = jQuery("#the_page").infos();
+var infos_content = jQuery("#content").infos();
+var infos_titrePage = jQuery("#titrePage").infos();
+var infos_imageInfoBar = jQuery("#imageInfoBar").infos();
+var infos_theHeader = jQuery("#theHeader").infos();
+var infos_imageToolBar = jQuery("#imageToolBar").infos();
+var infos_imageHeaderBar = jQuery("#imageHeaderBar").infos();
+var infos_body = jQuery("body").infos();
+var llgbo_id = "#llgbo0";
+
+var infos_llgbo = jQuery(llgbo_id).infos();
+var infos_llgboh2 = jQuery("#llgboh2").infos();
+
+var marges_llgbo = 0;
+var Zone_image = {
+  width_init: options.img_width,
+  height_init: options.img_height,
+  rapport_init: options.img_width / options.img_height
+};
+
+var Type_Img = "";
+
+
+
+pos_top = jQuery(theImageAndInfos_id).position();
+pos_top = pos_top.top - infos_theImageAndInfos.general.marges.top;
+pos_top += infos_content.general.marges.top;
+pos_top += infos_theImage.general.marges.top;
+options.pos_top = pos_top;
+
+
+old_window = { width: 0, height: 0 };
+
+
+//==== en cours ============
+n = pt.length - 1;
+if (n >= 0) {
+  imgSrc = pt[n][1];
+  last_map = pt[n][5];
+
+  imgSrc = pt[us][1];
+  last_map = pt[us][5];
+
+  new_html = '<br /><span class="switchCheck" id="derivativeCheckedAutosize" style="visibility:visible" >&#x2714; </span>';
+  new_html += '<a id="linkAutosize" href="javascript:changeImgSrc(\'' + imgSrc + '\', \'' + last_map + '\', \'' + type_size + '\') ">';
+  new_html += 'Autosize<span class="derivativeSizeDetails" id="auto_details" > - Autosize</span>  </a>';
+  if (type_size.match(RegExp("Autosize", "gi"))) {
+    jQuery("#derivativeSwitchBox br:last").before(new_html);
+  }
+
+  useMap = cookies.pictureMap; // #mapxxx
+  if (useMap == "#Autosize" && type_size_maxi == "Autosize") {
+
+  } else {
+    useMap = last_map;
+  }
+
+  typeSave = cookies.typeSave; //picturederiv xxx
+  options.type_size = useMap.replace("#", "");
+
+  type_size = options.type_size;
+  cookies.pictureMap = useMap; // #mapxxx
+  cookies.typeSave = last_map; //picturederiv xxx
+  cookies.imgSrc = imgSrc;
+
+  changeImgSrc(imgSrc, last_map, type_size);
+
+
+}
+
+
+});                                                                                                                                                     // ready
 
   //=====================================================================
